OCTAVE-CONFIG(1)

NAME
octave-config - GNU Octave component and library information retrieval

SYNOPSIS
octave-config [options]

DESCRIPTION

octave-config is a tool to obtain directory information for .oct and .m files for octave(1).

OPTIONS
octave-config accepts the following options:

--m-site-dir
    Display the main directory for local, or site-specific, .m script files.

--oct-site-dir
    Display the main directory for local, or site-specific, .oct dynamic-link libraries.

-p|--print VAR
    Print the default value of the Octave configuration variable VAR. Recognized variables are:
        CANONICAL_HOST_TYPE LOCALFCNFILEDIR
        DEFAULT_PAGER LOCALFCNFILEPATH
        ARCHLIBDIR LOCALOCTFILEDIR
        BINDIR LOCALOCTFILEPATH
        DATADIR LOCALSTARTUPFILEDIR
        EXEC_PREFIX LOCALVERARCHLIBDIR
        FCNFILEDIR LOCALVERFCNFILEDIR
        FCNFILEPATH LOCALVEROCTFILEDIR
        IMAGEDIR MAN1DIR
        IMAGE_PATH MAN1EXT
        INCLUDEDIR MANDIR
        INFODIR OCTFILEDIR
        INFOFILE OCTINCLUDEDIR
        LIBDIR OCTLIBDIR
        LIBEXECDIR PREFIX
        LIBEXECDIR STARTUPFILEDIR
        LOCALARCHLIBDIR VERSION

-v|--version
    Display the version number of octave(1).

-h|-?|--help
    Display a help page about octave-config

AUTHOR
John W. Eaton <jwe@octave.org> This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution but may be used by others.